<!-- HTML header for doxygen 1.9.8-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.8"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CPA: SerialModel Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
<link href="../../doxygen-awesome.css" rel="stylesheet" type="text/css"/>
<link href="../../doxygen-awesome-sidebar-only.css" rel="stylesheet" type="text/css"/>
<link href="../../doxygen-awesome-sidebar-only-darkmode-toggle.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../doxygen-awesome-darkmode-toggle.js"></script>
  <script type="text/javascript">
      DoxygenAwesomeDarkModeToggle.init()
  </script>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../Cubicverde.png"/></td>
  <td id="projectalign">
   <div id="projectname">CPA<span id="projectnumber">&#160;0.0.1</span>
   </div>
   <div id="projectbrief">Central de Parametrização do Autônomo</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.8 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/dac/classdata_model_1_1_serial_model.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle"><div class="title">SerialModel Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for SerialModel:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/dac/classdata_model_1_1_serial_model.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aeb135a8c409a447e5c19b1891b9666d2" id="r_aeb135a8c409a447e5c19b1891b9666d2"><td class="memItemLeft" align="right" valign="top"><a id="aeb135a8c409a447e5c19b1891b9666d2" name="aeb135a8c409a447e5c19b1891b9666d2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>initLedgers</b> (self)</td></tr>
<tr class="separator:aeb135a8c409a447e5c19b1891b9666d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7965218cfe721779fa4b1010dbed63b5" id="r_a7965218cfe721779fa4b1010dbed63b5"><td class="memItemLeft" align="right" valign="top"><a id="a7965218cfe721779fa4b1010dbed63b5" name="a7965218cfe721779fa4b1010dbed63b5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>connection_status</b> (self)</td></tr>
<tr class="separator:a7965218cfe721779fa4b1010dbed63b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-static-attribs" name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr class="memitem:a438c103045df233445f229f0cd2553c1" id="r_a438c103045df233445f229f0cd2553c1"><td class="memItemLeft" align="right" valign="top"><a id="a438c103045df233445f229f0cd2553c1" name="a438c103045df233445f229f0cd2553c1"></a>
dict&#160;</td><td class="memItemRight" valign="bottom"><b>_value_ledger</b> = {}</td></tr>
<tr class="separator:a438c103045df233445f229f0cd2553c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a141ae4bafade72b33aeeb4ccc19ad1f7" id="r_a141ae4bafade72b33aeeb4ccc19ad1f7"><td class="memItemLeft" align="right" valign="top"><a id="a141ae4bafade72b33aeeb4ccc19ad1f7" name="a141ae4bafade72b33aeeb4ccc19ad1f7"></a>
dict&#160;</td><td class="memItemRight" valign="bottom"><b>_signal_ledger</b> = {}</td></tr>
<tr class="separator:a141ae4bafade72b33aeeb4ccc19ad1f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a55f80ce0d9bbefb31e99f46478238a" id="r_a2a55f80ce0d9bbefb31e99f46478238a"><td class="memItemLeft" align="right" valign="top"><a id="a2a55f80ce0d9bbefb31e99f46478238a" name="a2a55f80ce0d9bbefb31e99f46478238a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>_connection_status_changed</b> = Signal(int)</td></tr>
<tr class="separator:a2a55f80ce0d9bbefb31e99f46478238a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>python/<b>dataModel.py</b></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>dataModel</b></li><li class="navelem"><a class="el" href="../../d1/dac/classdata_model_1_1_serial_model.html">SerialModel</a></li>
    <li class="footer">Generated on Wed Dec 6 2023 13:24:22 for CPA by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.8 </li>
  </ul>
</div>
</body>
</html>
